► |  | raco: Racket Command-Line Tools

1 | raco make: Compiling Source to Bytecode
2 | raco exe: Creating Stand-Alone Executables
3 | raco distribute: Sharing Stand-Alone Executables
4 | raco planet: Automatic Package Distribution
5 | raco pkg: Package Management
6 | raco setup: Installation Management
7 | raco decompile: Decompiling Bytecode
8 | raco demod: Demodularizing Programs
9 | raco link: Library Collection Links
10 | raco pack: Packing Library Collections
11 | raco unpack: Unpacking Library Collections
12 | raco ctool: Working with C Code
13 | raco test: Run tests
14 | raco docs: Documentation Search
15 | raco expand: Macro Expansion
16 | raco read: Reading and Pretty-Printing
17 | raco scribble: Building Documentation
18 | Adding a raco Command
19 | Installation Configuration and Search Paths

▼ | 1 | raco make: Compiling Source to Bytecode

1.1 | Running raco make
1.2 | Bytecode Files
1.3 | Dependency Files
1.4 | API for Making Bytecode
1.5 | API for Parallel Builds
1.6 | Compilation Manager Hook for Syntax Transformers
1.7 | API for Simple Bytecode Creation
1.8 | API for Bytecode Paths
1.9 | Compiling to Raw Bytecode
1.10 | API for Raw Compilation

top ← prev up next →

#### 1.1`` Running raco make

The raco make command accepts a few flags:

- -j ‹n› — Compiles argument modules in parallel, using up to ‹n› parallel tasks.

- --disable-inline — Disables function inlining while compiling (but does not re-compile files that are already up-to-date). This flag is often useful to simplify generated code before decompiling, and it corresponds to setting compile-context-preservation-enabled to #t.

- --disable-constant — Disables inference of definitions within a module as constant (but does not re-compile files that are already up-to-date). The value associated with a non-constant definition is never inlined or constant-propagated, either within its own module or an importing module. This flag corresponds to setting compile-enforce-module-constants to #f.

- --no-deps — Compiles a non-module file (i.e., one that is run via load instead of require). See Compiling to Raw Bytecode for more information.

- -p ‹file› or --prefix ‹file› — For use with --no-deps; see Compiling to Raw Bytecode.

- -no-prim — For use with --no-deps; see Compiling to Raw Bytecode.

- -v — Verbose mode, which shows which files are compiled.

- --vv — Very verbose mode, which implies -v and also shows every dependency that is checked.

top ← prev up next →